Bug 470346 - [radeon.modeset] performance impact
[radeon.modeset] performance impact
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-06 14:49 EST by Artem
Modified: 2009-12-18 01:45 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:45:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Artem 2008-11-06 14:49:56 EST
Description of problem:
ati modesettings cause negative performance impact to system. Even sound notifications in KDE are faltered. Text scroll is ugly slow.

Version-Release number of selected component (if applicable):
kernel-2.6.27.4-79.fc10

Additional info:
If pass nomodeset to kernel - sound is much better, text scroll is much faster

Is any additional info needed?
Comment 1 Mark Ginter 2008-11-08 11:53:30 EST
I can second this.

I have an hp pavilion dv8000 laptop w/ ati xpress 200m.  With nomodeset text scrolling and performance is amazing.  With kernel modesetting it is slow as molasses.
Comment 2 Carlo Raudino 2008-11-18 04:06:17 EST
same problem here.

With modesetting, the system is really slow (even music in rhythmbox jumps...and I've an athlon X2 @ 3ghz...)
glxgears reports 500 fps

with nomodeset, better situation.... but is not fast... (amsn really slow, high cpu usage in moving windows)
glxgears reports: 1500 fps

in f9 glxgears reported 2800/3000 fps

I noticed NO performance increase (and it's REALLY strange) using this settings:

Option "AGPMode" "8"
Option "RenderAccel" "on"
Option "XAANoOffscreenPixmaps"
Option "ColorTiling" "on"

in xorg.conf...

usually agpmode 8 gave me a great speed boost.... but I tried both with and without these setting...NO CHANGE... it looks like are ignored..

I updated some system pieces with no results:

xorg-x11-drv-ati-6.9.0-51
xorg-x11-server-1.5.3-5


No speed boost.. just a more stable environment.
Comment 3 Gerald Cox 2008-11-22 11:17:47 EST
Noticed the same issue, but didn't think to report it since I'm having multiple issues with the ATI Xpress 200M, the latest being a lockup which is reported in 472634 - which appears to have been introduced by xorg.x11-drv-ati-6.9.0-54.
Comment 4 Gerald Cox 2008-11-22 12:05:06 EST
Looks like all my issues can be traced by to using radeon.modeset.  I'm now using the "nomodeset" parameter and all appear to be circumvented.
Comment 5 Fehér János 2008-11-23 10:45:40 EST
+1
The Smolt profile is here: http://www.smolts.org/client/show_all/pub_ac78fcb2-4944-49a9-869e-6bab3466288b
Comment 6 Fehér János 2008-11-25 10:04:25 EST
Additional info. I use radeonhd driver for ATI X1250 (AMD 690G), because it's slow but stable. With modesetting on + default radeon driver I have kernel level crash within 1-2 minutes, with nomodesetting + default radeon driver after  30 mins. I have no crash with modesetting + radeonhd, but it's really slow. Changing between windows takes 1 sec at least.
Comment 7 Bug Zapper 2008-11-25 23:54:35 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Solomon Peachy 2008-12-01 08:50:39 EST
I'm having this problem too.  ATI RS480 + ATI X700 (R420), Ferrari 4000 laptop (x86_64)  (More details can be provided..)

Using kernel modesetting slows the system down considerably.    

It also causes resuming from a suspend cycle to fail, and enabling "desktop effects" causes a hard hang, but those are different problems.
Comment 9 Jérôme Glisse 2009-10-14 07:05:24 EDT
Can you test with fedora 12 livecd and report if it works with it.
Comment 10 Bug Zapper 2009-11-18 07:39:44 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-12-18 01:45:57 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.